Subject: [master branch] Useless imported module cause strange problem

From: Nala Ginrut <[email-masked]>
Date: Mon, 11 Aug 2014 17:14:48 +0800

Note this bug is under Master branch, it's fine in stable-2.0.

I've imported srfi-1, but after some modifications, the program happens
not to use any srfi-1 symbols, then there's the problem that one of the
rule in syntax-rules can't be found and threw error.
It works when I removed useless srfi-1 from imported list.

I think srfi-1 here is not related, and maybe the same with
syntax-rules. But I can reproduce it with these two prerequisites.

I've attached two simplified files(modules) for reproducing.
(The code may look not so nice, but it's unrelated, some code looks ugly
because of the simplification from my project)